From ce7b37ccb7508831a67575ec85b20ce5e3686bb2 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 22:09:07 +0000
Subject: [PATCH 1182/2232] Remove unneeded cfg test stringified Namespace parser


---

diff --git a/gen/src/alphasort.rs b/gen/src/alphasort.rs
index 343acf7..8d67d07 100644
--- a/gen/src/alphasort.rs
+++ b/gen/src/alphasort.rs
@@ -123,7 +123,7 @@ mod tests {
     }
 
     fn make_api(ns: Option<&str>, ident: &str) -> Api {
-        let ns = ns.map_or_else(Namespace::none, Namespace::from_str);
+        let ns = ns.map_or_else(Namespace::none, |ns| syn::parse_str(ns).unwrap());
         Api::CxxType(ExternType {
             doc: Doc::new(),
             type_token: Token![type](Span::call_site()),
diff --git a/syntax/namespace.rs b/syntax/namespace.rs
index 4a37f7a..a9ef43c 100644
--- a/syntax/namespace.rs
+++ b/syntax/namespace.rs
@@ -1,7 +1,5 @@
 use crate::syntax::qualified::QualifiedName;
 use crate::syntax::Api;
-#[cfg(test)]
-use proc_macro2::Span;
 use quote::IdentFragment;
 use std::fmt::{self, Display};
 use std::slice::Iter;
@@ -39,16 +37,6 @@ impl Namespace {
         input.parse::<Option<Token![,]>>()?;
         Ok(ns)
     }
-
-    #[cfg(test)]
-    pub fn from_str(ns: &str) -> Self {
-        Namespace {
-            segments: ns
-                .split("::")
-                .map(|x| Ident::new(x, Span::call_site()))
-                .collect(),
-        }
-    }
 }
 
 impl Parse for Namespace {

